@media (min-width: 1200px) {
    .app .content.turnmain {
        padding: 40px 0 0;
    }
}

.turnmain>.row {
    margin: 0 !important;
}

.turnmain .col-left {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
    padding-bottom: 50px;
}

.turnmain .col-left:has(+ div) {
    -ms-flex: 0 0 calc(100% - 370px);
    flex: 0 0 calc(100% - 370px);
    max-width: calc(100% - 370px);
}

.turnmain .col-right {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 370px;
    flex: 0 0 370px;
    max-width: 370px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    justify-content: space-between;
}

.turnmain .fix-height {
    min-height: auto;
    height: calc(100vh - 40px);
    overflow: hidden;
    overflow-y: auto;
}

.turn-list {
    padding: 20px 15px;
}

.turn-list .col-2 {
    padding-right: 0;
}

.turn-list .col-10 {
    padding-left: 0;
}

.scroll-x {
    overflow-x: auto;
    white-space: nowrap;
}

.scroll-x.turn-type-list::-webkit-scrollbar {
    height: 10px;
    cursor: pointer;
}

.turn-row {
    display: flex;
    justify-content: flex-start;
}

.turn-item {
    flex: 0 0 auto;
    height: 80px;
    width: 80px;
    border: 1px solid #333;
    border-width: 1px 0 0 1px;
    overflow: hidden;
    position: relative;
    z-index: 1;
    cursor: pointer;
    padding: 3px;
}

.turn-row:last-child .turn-item {
    border-bottom-width: 1px;
}

.turn-item:last-child {
    border-right-width: 1px;
}

.turn-stt {
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.turn-employee {
    width: calc(100% - 30px) !important;
    padding: 5px;
}

.turn-employee .turn-count {
    position: absolute;
    left: 5px;
    top: 50%;
    color: #FF4444;
    font-size: 14px;
    font-weight: bold;
    transform: translate(0, -50%);
}

.turn-employee .turn-count::before {
    content: "[";
    color: #FF4444;
    font-size: 14px;
    font-weight: bold;
}

.turn-employee .turn-count::after {
    content: "]";
    color: #FF4444;
    font-size: 14px;
    font-weight: bold;
}

.turn-employee .turn-start-date,
.turn-employee .turn-end-date {
    position: absolute;
    left: 5px;
    bottom: 5px;
    font-size: 14px;
}

.turn-employee .turn-end-date {
    left: auto;
    right: 5px;
}

.turn-employee .employee-name {
    color: #000;
    font-size: 16px;
    font-weight: bold;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.turn-box {
    width: 100%;
    height: 100%;
    border: 1px solid #999;
    background-color: #FFF;
    position: relative;
    overflow: hidden;
}

.turn-item.focus::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99;
    border: 5px solid red;
    border-color: red blue;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.turn-item[data-working="true"] .turn-box {
    border-color: red !important;
}

.turn-item.focus::after,
.turn-item[data-working="true"]::after {
    content: "";
    width: calc(100% - 8px);
    height: calc(100% - 8px);
    position: absolute;
    top: 4px;
    left: 4px;
    z-index: 150;
    border: 1px solid #FFF;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    filter: contrast(1.75);
}

.turn-item[data-working="true"]::after {
    background-color: rgba(0, 0, 0, 0.3);
}

.turn-item.target .turn-box {
    background-color: rgb(68, 139, 68);
}

.form-check-label {
    cursor: pointer;
}

.turn-item .turn-number {
    position: absolute;
    z-index: 130;
    left: 6px;
    bottom: 2px;
    font-size: 12px;
    font-weight: bold;
    color: #28a745;
}

.turn-item[data-working="true"] .turn-box::before,
.turn-item[data-working="true"] .turn-box::after {
    content: "";
    display: inline-block;
    width: 18px;
    height: 0;
    border-color: red transparent transparent transparent;
    border-style: solid;
    border-width: 10px 0 0 10px;
    position: absolute;
    z-index: 160;
    top: -4px;
    left: -4px;
    transform: rotate(-90deg);
}

.turn-item[data-working="true"] .turn-box::after {
    border-color: transparent transparent red transparent;
    border-style: solid;
    border-width: 0 10px 10px 0;
    top: auto;
    left: auto;
    bottom: -4px;
    right: -4px;
    transform: rotate(-90deg);
}

.turn-box .top-label,
.turn-box .bottom-label {
    position: absolute;
    top: 50%;
    left: 50%;
    bottom: auto;
    right: auto;
    z-index: 110;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    display: inline-block;
    width: calc(100% - 4px);
    color: #000;
}

.turn-box .top-label {
    z-index: 120;
}

.turn-box .top-label .text,
.turn-box .bottom-label .text {
    display: inline-block;
    position: relative;
    z-index: 200;
    overflow: hidden;
    width: 100%;
    max-height: 48px;
}

.turn-box .top-label+.bottom-label {
    top: auto;
    bottom: 0;
    left: 3px;
    text-align: right;
    width: calc(100% - 6px);
    font-size: 14px;
    transform: none;
}

.turn-box .top-label:has(+ span) {
    top: 2px;
    left: 4px;
    text-align: left;
    width: calc(100% - 8px);
    transform: none;
}

.turn-box .top-label[data-background]::before,
.turn-box .bottom-label[data-background]::before {
    content: '';
    position: absolute;
    z-index: -1;
    width: 0;
    height: 0;
    top: -23px;
    left: -2px;
    border-style: solid;
    border-width: 70px;
    border-color: transparent;
}

.turn-box .bottom-label[data-background]::before {
    z-index: -2;
}

.turn-box .top-label+.bottom-label[data-background]::before {
    top: auto;
    left: -3px;
    bottom: 0;
}

.turn-box .top-label:has(+ span)[data-background]::before {
    top: -2px;
    left: -4px;
    border-width: 0 0 71px 71px !important;
    border-color: transparent transparent transparent #FFFFFF;
}

.turn-box .top-label[data-color="#000000"],
.turn-box .bottom-label[data-color="#000000"] {
    color: #000000;
}

.turn-box .top-label[data-color="#FFFFFF"],
.turn-box .bottom-label[data-color="#FFFFFF"] {
    color: #FFFFFF;
}

.turn-box .top-label[data-color="#FF0000"],
.turn-box .bottom-label[data-color="#FF0000"] {
    color: #FF0000;
}

.turn-box .top-label[data-color="#00FF00"],
.turn-box .bottom-label[data-color="#00FF00"] {
    color: #00FF00;
}

.turn-box .top-label[data-color="#0000FF"],
.turn-box .bottom-label[data-color="#0000FF"] {
    color: #0000FF;
}

.turn-box .top-label[data-color="#FFFF00"],
.turn-box .bottom-label[data-color="#FFFF00"] {
    color: #FFFF00;
}

.turn-box .top-label[data-color="#00FFFF"],
.turn-box .bottom-label[data-color="#00FFFF"] {
    color: #00FFFF;
}

.turn-box .top-label[data-color="#FF00FF"],
.turn-box .bottom-label[data-color="#FF00FF"] {
    color: #FF00FF;
}

.turn-box .top-label[data-color="#C0C0C0"],
.turn-box .bottom-label[data-color="#C0C0C0"] {
    color: #C0C0C0;
}

.turn-box .top-label[data-color="#808080"],
.turn-box .bottom-label[data-color="#808080"] {
    color: #808080;
}

.turn-box .top-label[data-color="#800000"],
.turn-box .bottom-label[data-color="#800000"] {
    color: #800000;
}

.turn-box .top-label[data-color="#808000"],
.turn-box .bottom-label[data-color="#808000"] {
    color: #808000;
}

.turn-box .top-label[data-color="#008000"],
.turn-box .bottom-label[data-color="#008000"] {
    color: #008000;
}

.turn-box .top-label[data-color="#800080"],
.turn-box .bottom-label[data-color="#800080"] {
    color: #800080;
}

.turn-box .top-label[data-color="#008080"],
.turn-box .bottom-label[data-color="#008080"] {
    color: #008080;
}

.turn-box .top-label[data-color="#000080"],
.turn-box .bottom-label[data-color="#000080"] {
    color: #000080;
}

.turn-box .top-label[data-background="#000000"]::before,
.turn-box .bottom-label[data-background="#000000"]::before {
    border-color: #000000 !important;
}

.turn-box .top-label[data-background="#FFFFFF"]::before,
.turn-box .bottom-label[data-background="#FFFFFF"]::before {
    border-color: #FFFFFF !important;
}

.turn-box .top-label[data-background="#FF0000"]::before,
.turn-box .bottom-label[data-background="#FF0000"]::before {
    border-color: #FF0000 !important;
}

.turn-box .top-label[data-background="#00FF00"]::before,
.turn-box .bottom-label[data-background="#00FF00"]::before {
    border-color: #00FF00 !important;
}

.turn-box .top-label[data-background="#0000FF"]::before,
.turn-box .bottom-label[data-background="#0000FF"]::before {
    border-color: #0000FF !important;
}

.turn-box .top-label[data-background="#FFFF00"]::before,
.turn-box .bottom-label[data-background="#FFFF00"]::before {
    border-color: #FFFF00 !important;
}

.turn-box .top-label[data-background="#00FFFF"]::before,
.turn-box .bottom-label[data-background="#00FFFF"]::before {
    border-color: #00FFFF !important;
}

.turn-box .top-label[data-background="#FF00FF"]::before,
.turn-box .bottom-label[data-background="#FF00FF"]::before {
    border-color: #FF00FF !important;
}

.turn-box .top-label[data-background="#C0C0C0"]::before,
.turn-box .bottom-label[data-background="#C0C0C0"]::before {
    border-color: #C0C0C0 !important;
}

.turn-box .top-label[data-background="#808080"]::before,
.turn-box .bottom-label[data-background="#808080"]::before {
    border-color: #808080 !important;
}

.turn-box .top-label[data-background="#800000"]::before,
.turn-box .bottom-label[data-background="#800000"]::before {
    border-color: #800000 !important;
}

.turn-box .top-label[data-background="#808000"]::before,
.turn-box .bottom-label[data-background="#808000"]::before {
    border-color: #808000 !important;
}

.turn-box .top-label[data-background="#008000"]::before,
.turn-box .bottom-label[data-background="#008000"]::before {
    border-color: #008000 !important;
}

.turn-box .top-label[data-background="#800080"]::before,
.turn-box .bottom-label[data-background="#800080"]::before {
    border-color: #800080 !important;
}

.turn-box .top-label[data-background="#008080"]::before,
.turn-box .bottom-label[data-background="#008080"]::before {
    border-color: #008080 !important;
}

.turn-box .top-label[data-background="#000080"]::before,
.turn-box .bottom-label[data-background="#000080"]::before {
    border-color: #000080 !important;
}

.turn-box .top-label:has(+ span)[data-background="#000000"]::before {
    border-color: transparent transparent transparent #000000 !important;
}

.turn-box .top-label:has(+ span)[data-background="#FFFFFF"]::before {
    border-color: transparent transparent transparent #FFFFFF !important;
}

.turn-box .top-label:has(+ span)[data-background="#FF0000"]::before {
    border-color: transparent transparent transparent #FF0000 !important;
}

.turn-box .top-label:has(+ span)[data-background="#00FF00"]::before {
    border-color: transparent transparent transparent #00FF00 !important;
}

.turn-box .top-label:has(+ span)[data-background="#0000FF"]::before {
    border-color: transparent transparent transparent #0000FF !important;
}

.turn-box .top-label:has(+ span)[data-background="#FFFF00"]::before {
    border-color: transparent transparent transparent #FFFF00 !important;
}

.turn-box .top-label:has(+ span)[data-background="#00FFFF"]::before {
    border-color: transparent transparent transparent #00FFFF !important;
}

.turn-box .top-label:has(+ span)[data-background="#FF00FF"]::before {
    border-color: transparent transparent transparent #FF00FF !important;
}

.turn-box .top-label:has(+ span)[data-background="#C0C0C0"]::before {
    border-color: transparent transparent transparent #C0C0C0 !important;
}

.turn-box .top-label:has(+ span)[data-background="#808080"]::before {
    border-color: transparent transparent transparent #808080 !important;
}

.turn-box .top-label:has(+ span)[data-background="#800000"]::before {
    border-color: transparent transparent transparent #800000 !important;
}

.turn-box .top-label:has(+ span)[data-background="#808000"]::before {
    border-color: transparent transparent transparent #808000 !important;
}

.turn-box .top-label:has(+ span)[data-background="#008000"]::before {
    border-color: transparent transparent transparent #008000 !important;
}

.turn-box .top-label:has(+ span)[data-background="#800080"]::before {
    border-color: transparent transparent transparent #800080 !important;
}

.turn-box .top-label:has(+ span)[data-background="#008080"]::before {
    border-color: transparent transparent transparent #008080 !important;
}

.turn-box .top-label:has(+ span)[data-background="#000080"]::before {
    border-color: transparent transparent transparent #000080 !important;
}

.sidebar-main {
    width: 100%;
    height: 100%;
    background-color: #F6F3DE;
    border-left: 2px solid #d7dde4;
    overflow-x: hidden;
    overflow-y: auto;
}

.sidebar-title {
    padding: 8px 10px;
    background-color: #d7dde4;
}

.sidebar-title h3 {
    margin: 0;
    color: #000;
    font-size: 16px;
    font-weight: bold;
}

.sidebar-content {
    padding: 10px;
}

.turn-work-list {
    display: flex;
    flex-flow: row wrap;
    gap: 7px;
    justify-content: flex-start;
}

.work-item {
    border: 2px solid #FFF;
    color: #000;
    font-size: 16px;
    font-weight: bold;
    padding: 5px 15px;
    border-radius: 4px;
    cursor: pointer;
    outline: none;
    background-color: #FFF;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.3);
}

.work-item.focus,
.work-item:hover,
.work-item:active,
.work-item:focus {
    color: red;
    border-color: #78BD2E;
}

.sidebar-turn-type .turn-row {
    gap: 7px;
    flex-flow: row wrap;
    justify-content: flex-start;
}

.sidebar-turn-type .turn-item {
    border-width: 1px;
}

.turn-employee-list .turn-item {
    width: 40px;
    height: 40px;
}

.turn-employee-list .turn-item.focus::before {
    border-width: 3px;
}

.turn-employee-list .turn-item.focus::after {
    top: 4px;
    left: 4px;
    width: calc(100% - 8px);
    height: calc(100% - 8px);
}

.turn-employee-list .employee-item {
    margin-bottom: 5px;
}

.turn-employee-list .employee-item h3 {
    font-size: 16px;
    font-weight: normal;
    color: #000;
    margin: 0;
    height: 40px;
    line-height: 40px;
    cursor: pointer;
}

.turn-employee-list .employee-item.focus h3 {
    font-weight: bold;
}

.sidebar-group {
    width: 100%;
    height: calc(100% - 330px);
    min-height: 335px;
    overflow: hidden;
}

.sidebar-turn-type {
    width: 100%;
    height: 270px;
    overflow: hidden;
}

.sidebar-turn-work {
    width: 100%;
    height: 30%;
    min-height: 140px;
}

.sidebar-employees {
    width: 100%;
    height: 70%;
    min-height: 190px;
}

.sidebar-turn-work .sidebar-content,
.sidebar-employees .sidebar-content,
.sidebar-turn-type .sidebar-content {
    width: 100%;
    height: calc(100% - 35.2px);
    overflow: hidden;
    overflow-y: auto;
}

.btn-employee {
    font-size: 16px;
    font-weight: bold;
}

.btn-employee[data-signin="true"] {
    color: #fff !important;
    background-color: #72b22b !important;
    border-color: #6ba829 !important;
}

.sidebar-filter {
    position: absolute;
    width: 200px;
    height: calc(100vh - 90px);
    background-color: #F6F3DE;
    border-left: 2px solid #d7dde4;
    overflow-x: hidden;
    overflow-y: auto;
    top: 40px;
    right: 370px;
    z-index: -1;
    padding: 40px 5px;
}

.btn-sidebar-filter {
    position: fixed;
    top: 40px;
    right: 370px;
    z-index: 310;
    height: 35.19px;
    background-color: #d7dde4;
    border: none;
    color: #85CE36;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.btn-sidebar-filter .filter-label {
    color: #000;
    font-size: 16px;
    font-weight: bold;
    display: none;
}

.btn-sidebar-filter[data-display="show"] {
    width: 200px;
}

.btn-sidebar-filter[data-display="show"] .filter-label {
    display: inline;
}

.btn-sidebar-filter[data-display="show"] i::before {
    content: "\f0a9" !important;
}

.btn-sidebar-filter[data-display="show"]+.sidebar-filter {
    z-index: 300;
}

.sidebar-filter-employees {
    padding-top: 5px;
    margin-top: 5px;
    margin-left: -5px;
    margin-right: -5px;
    border-top: 2px solid #d7dde4;
}

.sidebar-filter-employees ul {
    margin: 0;
    padding: 0;
}

.sidebar-filter-employees li {
    font-size: 15px;
    font-weight: bold;
    padding: 10px 5px;
    display: flex;
    justify-content: space-between;
}

.sidebar-filter-employees li:not(:last-child) {
    border-bottom: 1px solid #d7dde4;
}

.sidebar-filter-employees li span {
    color: red;
    font-weight: bold;
}